import { createCustomElement } from '@servicenow/ui-core';
import snabbdom from '@servicenow/ui-renderer-snabbdom';

import styles from './styles.scss';
import view from './view';
import actions from './actions';

createCustomElement('x-saw-fa-icon', {
	renderer: { type: snabbdom },
	view,
	properties: {
		def: {
			default: null,
		},
		size: {
			default: 'md',
			schema: { type: 'string', enum: ['xs', 'sm', 'md', 'lg', 'xl'] },
		},
		spin: {
			default: false,
		},
		componentId: {
			default: null,
		},
	},
	styles,
	...actions,
});
